> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post reviewsviews

> Searches for all ResourceReviews within the requesting User's associated Forum using the provided
search criteria.

This operation requires a Resource Reviews Criteria value.

This operation returns a **ResourceReviewsResults** with the following fields: **Name** **Data Type** **Description** views List of Resource Review View values These views will be in create order. hasAdditional Boolean value Flag indicating that additional results may be queried from the agilquest system. Additional calls to the operation that update the criteria Start Row to the next start row value included in this result will retrieve the additional results for this query. nextStartRow Integer value Numeric Index of the next result set row to use for retrieving additional results for the same query. Used for pagination. averageRating Double value The average rating for all reviews for one resource. totalReviews Integer value The total number of reviews for one resource.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /reviews/views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /reviews/views:
    post:
      tags:
        - ReviewsService
      description: >-
        Searches for all ResourceReviews within the requesting User's associated
        Forum using the provided

        search criteria.


        This operation requires a Resource Reviews Criteria value.


        This operation returns a **ResourceReviewsResults** with the following
        fields: **Name** **Data Type** **Description** views List of Resource
        Review View values These views will be in create order. hasAdditional
        Boolean value Flag indicating that additional results may be queried
        from the agilquest system. Additional calls to the operation that update
        the criteria Start Row to the next start row value included in this
        result will retrieve the additional results for this query. nextStartRow
        Integer value Numeric Index of the next result set row to use for
        retrieving additional results for the same query. Used for pagination.
        averageRating Double value The average rating for all reviews for one
        resource. totalReviews Integer value The total number of reviews for one
        resource.
      operationId: searchResourceReviews
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidResource: 12345
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/ResourceReviewsCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    averageRating: 12345
                    totalReviews: 12345
                    views:
                      - sysidResource: 12345
                        comment: ...
                        firstName: ...
                        sysidUser: 12345
                        aqCreateTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidReview: 12345
                        rating: 12345
                        preferredName: ...
                        aqStartTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        lastName: ...
                      - sysidResource: 12345
                        comment: ...
                        firstName: ...
                        sysidUser: 12345
                        aqCreateTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidReview: 12345
                        rating: 12345
                        preferredName: ...
                        aqStartTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        lastName: ...
                    count: 12345
                    hasAdditional: true
                    nextStartRow: 12345
              schema:
                $ref: '#/components/schemas/ResourceReviewsResults'
          description: |-
            ResourceReviewsResults

            com.agilquest.phoenix.shared.search.results.ResourceReviewsResults
components:
  schemas:
    ResourceReviewsCriteria:
      type: object
      title: ResourceReviewsCriteria
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            sysidResource:
              type: integer
              format: int32
      example:
        sysidResource: 12345
        startRow: 12345
        maxRows: 12345
    ResourceReviewsResults:
      type: object
      title: ResourceReviewsResults
      allOf:
        - $ref: '#/components/schemas/ResultsBase'
        - properties:
            averageRating:
              type: number
            totalReviews:
              type: integer
              format: int32
            views:
              type: array
              items:
                $ref: '#/components/schemas/ResourceReviewView'
      example:
        averageRating: 12345
        totalReviews: 12345
        views:
          - sysidResource: 12345
            comment: ...
            firstName: ...
            sysidUser: 12345
            aqCreateTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidReview: 12345
            rating: 12345
            preferredName: ...
            aqStartTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            lastName: ...
          - sysidResource: 12345
            comment: ...
            firstName: ...
            sysidUser: 12345
            aqCreateTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidReview: 12345
            rating: 12345
            preferredName: ...
            aqStartTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            lastName: ...
        count: 12345
        hasAdditional: true
        nextStartRow: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    ResultsBase:
      type: object
      title: ResultsBase
      required:
        - count
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            count:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
            views:
              type: array
              items:
                $ref: '#/components/schemas/ViewBase'
            nextStartRow:
              type: integer
              format: int32
      example:
        count: 12345
        hasAdditional: true
        views:
          - {}
          - {}
        nextStartRow: 12345
    ResourceReviewView:
      type: object
      title: ResourceReviewView
      required:
        - rating
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            sysidResource:
              type: integer
              format: int32
            comment:
              type: string
            firstName:
              type: string
            sysidUser:
              type: integer
              format: int32
            aqCreateTime:
              $ref: '#/components/schemas/AqDate'
            sysidReview:
              type: integer
              format: int32
            rating:
              type: integer
              format: int32
            preferredName:
              type: string
            aqStartTime:
              $ref: '#/components/schemas/AqDate'
            lastName:
              type: string
      example:
        sysidResource: 12345
        comment: ...
        firstName: ...
        sysidUser: 12345
        aqCreateTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidReview: 12345
        rating: 12345
        preferredName: ...
        aqStartTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        lastName: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````